Debian DLA-326-1 : zendframework security update

critical Nessus Plugin ID 86406

Synopsis

The remote Debian host is missing a security update.

Description

The PDO adapters of Zend Framework 1 did not filter null bytes values in SQL statements. A PDO adapter can treat null bytes in a query as a string terminator, allowing an attacker to add arbitrary SQL following a null byte, and thus create a SQL injection.

For Debian 6 Squeeze, this issue has been fixed in zendframework version 1.10.6-1squeeze6.

NOTE: Tenable Network Security has extracted the preceding description block directly from the DLA security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Upgrade the affected zendframework, and zendframework-bin packages.

See Also

https://lists.debian.org/debian-lts-announce/2015/10/msg00004.html

https://packages.debian.org/source/squeeze-lts/zendframework

Plugin Details

Severity: Critical

ID: 86406

File Name: debian_DLA-326.nasl

Version: 2.9

Type: local

Agent: unix

Published: 10/16/2015

Updated: 1/11/2021

Supported Sensors: Frictionless Assessment Agent, Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:zendframework, p-cpe:/a:debian:debian_linux:zendframework-bin, cpe:/o:debian:debian_linux:6.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Ease: No known exploits are available

Patch Publication Date: 10/15/2015

Reference Information

CVE: CVE-2015-7695